export default {
    methods: {
        checkTime(info) {
            return this.dayjs().isSameOrBefore(this.dayjs(info.expiration, 'YYYY-MM-DD HH:mm:ss'));
        },
        checkUse(info, collectionId = 0) {
            if (collectionId && info.limited) {
                return [...info.collectionIds].includes(collectionId);
            } else {
                return true;
            }
        }
    }
};
